# Finetuning MMPose models

See: <https://mmpose.readthedocs.io/en/latest/user_guides/train_and_test.html>

<br>

```bash
docker build --progress=plain -f extras/mmpose/dockerfile -t rpt_mmpose .

./extras/mmpose/run_container.sh
```

```bash
cd /mmpose/
export CUDA_VISIBLE_DEVICES=0

python3 ./tools/train.py \
    /RapidPoseTriangulation/extras/mmpose/configs/rtmpose-l_8xb32-270e_coco-wholebody-384x288.py \
    --amp \
    --cfg-options \
      load_from=https://download.openmmlab.com/mmpose/v1/projects/rtmposev1/rtmpose-l_simcc-coco-wholebody_pt-aic-coco_270e-384x288-eaeb96c8_20230125.pth \
      base_lr=0.00004
```
